OrcFile.Version (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Enum OrcFile.Version

- java.lang.Object
- - java.lang.Enum<OrcFile.Version>
  - - org.apache.orc.OrcFile.Version

- All Implemented Interfaces:
    Serializable, Comparable<OrcFile.Version>
  Enclosing class:
    OrcFile

      public static enum OrcFile.Version
      extends Enum<OrcFile.Version>

  Create a version number for the ORC file format, so that we can add non-forward compatible changes in the future. To make it easier for users to understand the version numbers, we use the Hive release number that first wrote that version of ORC files. Thus, if you add new encodings or other non-forward compatible changes to ORC files, which prevent the old reader from reading the new format, you should change these variable to reflect the next Hive release number. Non-forward compatible changes should never be added in patch releases. Do not make any changes that break backwards compatibility, which would prevent the new reader from reading ORC files generated by any released version of Hive.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FUTURE` The generic identifier for all unknown versions.
    `UNSTABLE_PRE_2_0` Do not use this format except for testing.
    `V_0_11`
    `V_0_12`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OrcFile.Version` | `CURRENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OrcFile.Version` | `byName(String name)`
    `int` | `getMajor()` Get the major version number.
    `int` | `getMinor()` Get the minor version number.
    `String` | `getName()` Get the human readable name for the version.
    `static OrcFile.Version` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrcFile.Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V_0_11

          public static final OrcFile.Version V_0_11

    - #### V_0_12

          public static final OrcFile.Version V_0_12

    - #### UNSTABLE_PRE_2_0

          public static final OrcFile.Version UNSTABLE_PRE_2_0

      Do not use this format except for testing. It will not be compatible with other versions of the software. While we iterate on the ORC 2.0 format, we will make incompatible format changes under this version without providing any forward or backward compatibility. When 2.0 is released, this version identifier will be completely removed.

    - #### FUTURE

          public static final OrcFile.Version FUTURE

      The generic identifier for all unknown versions.

  - ### Field Detail

    - #### CURRENT

          public static final OrcFile.Version CURRENT

  - ### Method Detail

    - #### values

          public static OrcFile.Version[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrcFile.Version c : OrcFile.Version.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrcFile.Version valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### byName

          public static OrcFile.Version byName(String name)

    - #### getName

          public String getName()

      Get the human readable name for the version.

    - #### getMajor

          public int getMajor()

      Get the major version number.

    - #### getMinor

          public int getMinor()

      Get the minor version number.

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.